Problem installing 2.0.3 in Mandrake 10.1

classic Classic list List threaded Threaded
4 messages Options
Reply | Threaded
Open this post in threaded view
|

Problem installing 2.0.3 in Mandrake 10.1

Paul Parkyn
Hello listmembers,
I am trying to get Gramps installed on a Mandrake 10.1 system, I have tried
various releases and the only version to actually install is version 2.03.
However it will not run, from the Window menu there is no output, if I try
from a Terminal I get the following message.
*****************
edna@Ednas10 bin]$ gramps
/usr/bin/gramps: line 1: 1: Permission denied
/usr/bin/gramps: line 1: 1: Permission denied
/usr/bin/gramps: line 46: 1: Permission denied
/usr/bin/gramps: line 47: 1: Permission denied
Traceback (most recent call last):
  File "/usr/share/gramps/gramps.py", line 43, in ?
    import gtk.gdk
  File "/usr/lib/python2.3/site-packages/PIL/__init__.py", line 32, in ?

ImportError: /usr/lib/python2.3/site-packages/gtk-2.0/gobject.so: undefined
symbol: g_assert_warning
[edna@Ednas10 bin]$
*******************************
This is the package I am trying to install gramps-2.0.3-1mdk.i586.rpm
any help appreciated.

regards Paul


 


-------------------------------------------------------
SF.Net email is Sponsored by the Better Software Conference & EXPO
September 19-22, 2005 * San Francisco, CA * Development Lifecycle Practices
Agile & Plan-Driven Development * Managing Projects & Teams * Testing & QA
Security * Process Improvement & Measurement * http://www.sqe.com/bsce5sf
_______________________________________________
Gramps-users mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/gramps-users
Reply | Threaded
Open this post in threaded view
|

Re: Problem installing 2.0.3 in Mandrake 10.1

Doug Laidlaw
I have Gramps 2.0.6-2 running on Mandriva LE (10.2). It sounds as though you
have a permission problem.  Line 1 is just #!/bin/sh  That shouldn't cause
any problems??

When I was running 9.2, I was having a lot of errors due to some problem with
bonobo.  Anything that used the bonobo libraries would freeze or crash.  But
your messages don't seem related to that.
On Fri, 2 Sep 2005 8:27 pm, Paul Parkyn wrote:

> Hello listmembers,
> I am trying to get Gramps installed on a Mandrake 10.1 system, I have tried
> various releases and the only version to actually install is version 2.03.
> However it will not run, from the Window menu there is no output, if I try
> from a Terminal I get the following message.
> *****************
> edna@Ednas10 bin]$ gramps
> /usr/bin/gramps: line 1: 1: Permission denied
> /usr/bin/gramps: line 1: 1: Permission denied
> /usr/bin/gramps: line 46: 1: Permission denied
> /usr/bin/gramps: line 47: 1: Permission denied
> Traceback (most recent call last):
>   File "/usr/share/gramps/gramps.py", line 43, in ?
>     import gtk.gdk
>   File "/usr/lib/python2.3/site-packages/PIL/__init__.py", line 32, in ?
>
> ImportError: /usr/lib/python2.3/site-packages/gtk-2.0/gobject.so: undefined
> symbol: g_assert_warning
> [edna@Ednas10 bin]$
> *******************************
> This is the package I am trying to install gramps-2.0.3-1mdk.i586.rpm
> any help appreciated.
>
> regards Paul
>
>
>
>
>
> -------------------------------------------------------
> SF.Net email is Sponsored by the Better Software Conference & EXPO
> September 19-22, 2005 * San Francisco, CA * Development Lifecycle Practices
> Agile & Plan-Driven Development * Managing Projects & Teams * Testing & QA
> Security * Process Improvement & Measurement * http://www.sqe.com/bsce5sf
> _______________________________________________
> Gramps-users mailing list
> [hidden email]
> https://lists.sourceforge.net/lists/listinfo/gramps-users

--
ICQ Number 178748389. Registered Linux User No. 277548.
Imagine all the people living for today.
        - John Lennon.


-------------------------------------------------------
SF.Net email is Sponsored by the Better Software Conference & EXPO
September 19-22, 2005 * San Francisco, CA * Development Lifecycle Practices
Agile & Plan-Driven Development * Managing Projects & Teams * Testing & QA
Security * Process Improvement & Measurement * http://www.sqe.com/bsce5sf
_______________________________________________
Gramps-users mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/gramps-users
Reply | Threaded
Open this post in threaded view
|

Re: Problem installing 2.0.3 in Mandrake 10.1

Don Allingham
Paul,

I'm also concerned about the "undefined symbol: g_assert_warning". This
sounds like an broken installation of pygtk.

Could you send me a few bits of information:

1) send me your /usr/bin/gramps file
2) send me the output of "ls -l /usr/bin/gramps"
3) send me the output of "rpm -q pygtk2"

Thanks.

Don

On Sat, 2005-09-03 at 19:24 +1000, Doug Laidlaw wrote:

> I have Gramps 2.0.6-2 running on Mandriva LE (10.2). It sounds as though you
> have a permission problem.  Line 1 is just #!/bin/sh  That shouldn't cause
> any problems??
>
> When I was running 9.2, I was having a lot of errors due to some problem with
> bonobo.  Anything that used the bonobo libraries would freeze or crash.  But
> your messages don't seem related to that.
> On Fri, 2 Sep 2005 8:27 pm, Paul Parkyn wrote:
> > Hello listmembers,
> > I am trying to get Gramps installed on a Mandrake 10.1 system, I have tried
> > various releases and the only version to actually install is version 2.03.
> > However it will not run, from the Window menu there is no output, if I try
> > from a Terminal I get the following message.
> > *****************
> > edna@Ednas10 bin]$ gramps
> > /usr/bin/gramps: line 1: 1: Permission denied
> > /usr/bin/gramps: line 1: 1: Permission denied
> > /usr/bin/gramps: line 46: 1: Permission denied
> > /usr/bin/gramps: line 47: 1: Permission denied
> > Traceback (most recent call last):
> >   File "/usr/share/gramps/gramps.py", line 43, in ?
> >     import gtk.gdk
> >   File "/usr/lib/python2.3/site-packages/PIL/__init__.py", line 32, in ?
> >
> > ImportError: /usr/lib/python2.3/site-packages/gtk-2.0/gobject.so: undefined
> > symbol: g_assert_warning
> > [edna@Ednas10 bin]$
> > *******************************
> > This is the package I am trying to install gramps-2.0.3-1mdk.i586.rpm
> > any help appreciated.
> >
> > regards Paul
> >
> >
> >
> >
> >
> > -------------------------------------------------------
> > SF.Net email is Sponsored by the Better Software Conference & EXPO
> > September 19-22, 2005 * San Francisco, CA * Development Lifecycle Practices
> > Agile & Plan-Driven Development * Managing Projects & Teams * Testing & QA
> > Security * Process Improvement & Measurement * http://www.sqe.com/bsce5sf
> > _______________________________________________
> > Gramps-users mailing list
> > [hidden email]
> > https://lists.sourceforge.net/lists/listinfo/gramps-users
>
--
Don Allingham <[hidden email]>

signature.asc (196 bytes) Download Attachment
Reply | Threaded
Open this post in threaded view
|

Re: Problem installing 2.0.3 in Mandrake 10.1

Paul Parkyn
In reply to this post by Doug Laidlaw
Hello Don & Doug,

The permission problem was my own silly mistake, trying to run gramps as root,
if I run as a normal user I dont get the permission problem but still get the
other
> Traceback (most recent call last):
>   File "/usr/share/gramps/gramps.py", line 43, in ?
>     import gtk.gdk
>   File "/usr/lib/python2.3/site-packages/PIL/__init__.py", line 32, in ?
>
> ImportError: /usr/lib/python2.3/site-packages/gtk-2.0/gobject.so: undefined
> symbol: g_assert_warning

I have tried all weekend to get pygtk2 installed but no luck, I have installed
numerous packages and have reached a stage where I get ¨sorry can´t install
this package¨  and no reason given.
Unfortunately when I installed mandrake I selected KDE and although I have
installed Gnome quite a lot is still missing. It seems I will just have to
persevere until I can get pygtk2 installed.
Thanks for your help

Don I don think you need this now it seems pretty obvious what the problem is
so far.

[paul@Ednas10 paul]$ ls -l /usr/bin/gramps
-rwxr-xr-x  1 root root 1791 Jan 31  2005 /usr/bin/gramps*

[paul@Ednas10 paul]$ rpm -q pygtk2
package pygtk2 is not installed

> > Hello listmembers,
> > I am trying to get Gramps installed on a Mandrake 10.1 system, I have
> > tried various releases and the only version to actually install is
> > version 2.03. However it will not run, from the Window menu there is no
> > output, if I try from a Terminal I get the following message.
> > *****************
> > edna@Ednas10 bin]$ gramps
> > /usr/bin/gramps: line 1: 1: Permission denied
> > /usr/bin/gramps: line 1: 1: Permission denied
> > /usr/bin/gramps: line 46: 1: Permission denied
> > /usr/bin/gramps: line 47: 1: Permission denied
> > Traceback (most recent call last):
> >   File "/usr/share/gramps/gramps.py", line 43, in ?
> >     import gtk.gdk
> >   File "/usr/lib/python2.3/site-packages/PIL/__init__.py", line 32, in ?
> >
> > ImportError: /usr/lib/python2.3/site-packages/gtk-2.0/gobject.so:
> > undefined symbol: g_assert_warning
> > [edna@Ednas10 bin]$
> > *******************************
> > This is the package I am trying to install gramps-2.0.3-1mdk.i586.rpm
> > any help appreciated.
> >
> > regards Paul
> >
> >
> >
> >
> >
> > -------------------------------------------------------
> > SF.Net email is Sponsored by the Better Software Conference & EXPO
> > September 19-22, 2005 * San Francisco, CA * Development Lifecycle
> > Practices Agile & Plan-Driven Development * Managing Projects & Teams *
> > Testing & QA Security * Process Improvement & Measurement *
> > http://www.sqe.com/bsce5sf
> > _______________________________________________
> > Gramps-users mailing list
> > [hidden email]
> > https://lists.sourceforge.net/lists/listinfo/gramps-users


-------------------------------------------------------
SF.Net email is Sponsored by the Better Software Conference & EXPO
September 19-22, 2005 * San Francisco, CA * Development Lifecycle Practices
Agile & Plan-Driven Development * Managing Projects & Teams * Testing & QA
Security * Process Improvement & Measurement * http://www.sqe.com/bsce5sf
_______________________________________________
Gramps-users mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/gramps-users